Show / Hide Table of Contents

# Struct CharacterBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CharacterBase

### Fields

| Improve this Doc View Source

#### BonePhysicsModule

##### Declaration

    public BonePhysicsModule*BonePhysicsModule

##### Field Value

Type | Description
--- | ---
BonePhysicsModule* |

| Improve this Doc View Source

#### CharacterDataCB

##### Declaration

    public void *CharacterDataCB

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### DrawObject

##### Declaration

    public DrawObject DrawObject

##### Field Value

Type | Description
--- | ---
DrawObject |

| Improve this Doc View Source

#### EID

##### Declaration

    public void *EID

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### HasModelFilesInSlotLoaded

##### Declaration

    public uint HasModelFilesInSlotLoaded

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### HasModelInSlotLoaded

##### Declaration

    public uint HasModelInSlotLoaded

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IMCArray

##### Declaration

    public void **IMCArray

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### MaterialArray

##### Declaration

    public void **MaterialArray

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### ModelArray

##### Declaration

    public void **ModelArray

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### PostBoneDeformer

##### Declaration

    public void *PostBoneDeformer

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Skeleton

##### Declaration

    public Skeleton*Skeleton

##### Field Value

Type | Description
--- | ---
Skeleton* |

| Improve this Doc View Source

#### SlotCount

##### Declaration

    public int SlotCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TempData

##### Declaration

    public void *TempData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### TempSlotData

##### Declaration

    public void *TempSlotData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnkFlags_01

##### Declaration

    public byte UnkFlags_01

##### Field Value

Type | Description
--- | ---
System.Byte |